TomcatJDBCPoolMBeanExporter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.datasource
[Groovy] Class TomcatJDBCPoolMBeanExporter

    java.lang.Object
      org.springframework.jmx.support.MBeanRegistrationSupport
          org.springframework.jmx.export.MBeanExporter
              org.codehaus.groovy.grails.plugins.datasource.TomcatJDBCPoolMBeanExporter

    @groovy.transform.CompileStatic
    class TomcatJDBCPoolMBeanExporter
    extends org.springframework.jmx.export.MBeanExporter

Field Summary

Fields inherited from class org.springframework.jmx.export.MBeanExporter
AUTODETECT_NONE, AUTODETECT_MBEAN, AUTODETECT_ASSEMBLER, AUTODETECT_ALL, REGISTRATION_FAIL_ON_EXISTING, REGISTRATION_IGNORE_EXISTING, REGISTRATION_REPLACE_EXISTING

Fields inherited from class org.springframework.jmx.support.MBeanRegistrationSupport
REGISTRATION_FAIL_ON_EXISTING, REGISTRATION_IGNORE_EXISTING, REGISTRATION_REPLACE_EXISTING

Property Summary
`GrailsApplication` | `grailsApplication`

Constructor Summary
`TomcatJDBCPoolMBeanExporter()`

Method Summary
`protected javax.management.ObjectName` | `createJmxObjectName(java.lang.String beanName, org.apache.tomcat.jdbc.pool.DataSource dataSource)`
`protected boolean` | `isJmxEnabled(java.lang.String beanName, org.apache.tomcat.jdbc.pool.DataSource dataSource)`
`protected void` | `registerBeans()`
`void` | `setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`

Methods inherited from class org.springframework.jmx.export.MBeanExporter
org.springframework.jmx.export.MBeanExporter#destroy(), org.springframework.jmx.export.MBeanExporter#afterPropertiesSet(), org.springframework.jmx.export.MBeanExporter#setBeanClassLoader(java.lang.ClassLoader), org.springframework.jmx.export.MBeanExporter#registerManagedResource(java.lang.Object), org.springframework.jmx.export.MBeanExporter#registerManagedResource(java.lang.Object, javax.management.ObjectName), org.springframework.jmx.export.MBeanExporter#setAllowEagerInit(boolean), org.springframework.jmx.export.MBeanExporter#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.jmx.export.MBeanExporter#setExposeManagedResourceClassLoader(boolean), org.springframework.jmx.export.MBeanExporter#setAutodetectMode(int), org.springframework.jmx.export.MBeanExporter#setAssembler(org.springframework.jmx.export.assembler.MBeanInfoAssembler), org.springframework.jmx.export.MBeanExporter#setAutodetectModeName(java.lang.String), org.springframework.jmx.export.MBeanExporter#setEnsureUniqueRuntimeObjectNames(boolean), org.springframework.jmx.export.MBeanExporter#setExcludedBeans([Ljava.lang.String;), org.springframework.jmx.export.MBeanExporter#setNotificationListeners([Lorg.springframework.jmx.export.NotificationListenerBean;), org.springframework.jmx.export.MBeanExporter#unregisterManagedResource(javax.management.ObjectName), org.springframework.jmx.export.MBeanExporter#setListeners([Lorg.springframework.jmx.export.MBeanExporterListener;), org.springframework.jmx.export.MBeanExporter#setAutodetect(boolean), org.springframework.jmx.export.MBeanExporter#setNamingStrategy(org.springframework.jmx.export.naming.ObjectNamingStrategy), org.springframework.jmx.export.MBeanExporter#setBeans(java.util.Map), org.springframework.jmx.export.MBeanExporter#setNotificationListenerMappings(java.util.Map), org.springframework.jmx.export.MBeanExporter#getServer(), org.springframework.jmx.export.MBeanExporter#setRegistrationPolicy(org.springframework.jmx.support.RegistrationPolicy), org.springframework.jmx.export.MBeanExporter#setServer(javax.management.MBeanServer), org.springframework.jmx.export.MBeanExporter#setRegistrationBehaviorName(java.lang.String), org.springframework.jmx.export.MBeanExporter#setRegistrationBehavior(int), org.springframework.jmx.export.MBeanExporter#wait(long, int), org.springframework.jmx.export.MBeanExporter#wait(long), org.springframework.jmx.export.MBeanExporter#wait(), org.springframework.jmx.export.MBeanExporter#equals(java.lang.Object), org.springframework.jmx.export.MBeanExporter#toString(), org.springframework.jmx.export.MBeanExporter#hashCode(), org.springframework.jmx.export.MBeanExporter#getClass(), org.springframework.jmx.export.MBeanExporter#notify(), org.springframework.jmx.export.MBeanExporter#notifyAll()

Methods inherited from class org.springframework.jmx.support.MBeanRegistrationSupport
org.springframework.jmx.support.MBeanRegistrationSupport#getServer(), org.springframework.jmx.support.MBeanRegistrationSupport#setRegistrationPolicy(org.springframework.jmx.support.RegistrationPolicy), org.springframework.jmx.support.MBeanRegistrationSupport#setServer(javax.management.MBeanServer), org.springframework.jmx.support.MBeanRegistrationSupport#setRegistrationBehaviorName(java.lang.String), org.springframework.jmx.support.MBeanRegistrationSupport#setRegistrationBehavior(int), org.springframework.jmx.support.MBeanRegistrationSupport#wait(long, int), org.springframework.jmx.support.MBeanRegistrationSupport#wait(long), org.springframework.jmx.support.MBeanRegistrationSupport#wait(), org.springframework.jmx.support.MBeanRegistrationSupport#equals(java.lang.Object), org.springframework.jmx.support.MBeanRegistrationSupport#toString(), org.springframework.jmx.support.MBeanRegistrationSupport#hashCode(), org.springframework.jmx.support.MBeanRegistrationSupport#getClass(), org.springframework.jmx.support.MBeanRegistrationSupport#notify(), org.springframework.jmx.support.MBeanRegistrationSupport#notifyAll()

Property Detail

### grailsApplication

    GrailsApplication grailsApplication

Constructor Detail

### TomcatJDBCPoolMBeanExporter

    TomcatJDBCPoolMBeanExporter()

Method Detail

### createJmxObjectName

    protected javax.management.ObjectName createJmxObjectName(java.lang.String beanName, org.apache.tomcat.jdbc.pool.DataSource dataSource)

### isJmxEnabled

    protected boolean isJmxEnabled(java.lang.String beanName, org.apache.tomcat.jdbc.pool.DataSource dataSource)

### registerBeans

    @java.lang.Override
    protected void registerBeans()

### setBeanFactory

    @java.lang.Override
    void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

Groovy Documentation